diff options
author | Boris Kolpackov <boris@codesynthesis.com> | 2016-05-06 16:20:48 +0200 |
---|---|---|
committer | Boris Kolpackov <boris@codesynthesis.com> | 2016-05-06 16:20:48 +0200 |
commit | 3f174825cd0313754fd4118dc2267e5c8cdff037 (patch) | |
tree | 74845ac01cecbce724aa18fb91b1ca5a1c7f1d66 /publish | |
parent | 690f6ae050b55042044cf3dfbcf47fa917cbb3de (diff) |
Add bugfix release checklist
Diffstat (limited to 'publish')
-rwxr-xr-x | publish | 11 |
1 files changed, 8 insertions, 3 deletions
@@ -2,9 +2,9 @@ # Publish build2 to build2.org/cppget.org (and brep.cppget.org). # -# Usage: publish [<rsync-options>] +# Usage: publish [<ver>] [<rsync-options>] # -usage="$0 [<rsync-options>]" +usage="$0 [<ver>] [<rsync-options>]" owd=`pwd` trap "{ cd $owd; exit 1; }" ERR @@ -13,7 +13,12 @@ set -o errtrace # Trap in functions. function info () { echo "$*" 1>&2; } function error () { info "$*"; exit 1; } -v=`sed -e 's/^\(.*\)\.\(.*\)\..*$/\1.\2/' build2-toolchain/version` +if [[ $# -ne 0 && "$1" != -* ]]; then + v="$1" + shift +else + v=`sed -e 's/^\(.*\)\.\(.*\)\..*$/\1.\2/' build2-toolchain/version` +fi if [ -z "$v" ]; then error "unable to extract version from `cat build2-toolchain/version`" |